glab(1)

NAME

glab-ci-list - Get the list of CI/CD pipelines.

SYNOPSIS

glab ci list [flags]

DESCRIPTION

Get the list of CI/CD pipelines.

OPTIONS

-o, --orderBy="id"
    Order pipelines by this field. Options: id, status, ref, updated_at, user_id.

-F, --output="text"
    Format output. Options: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

--sort="desc"
    Sort pipelines. Options: asc, desc.

-s, --status=""
    Get pipeline with this status. Options: running, pending, success, failed, canceled, skipped, created, manual, waiting_for_resource, preparing, scheduled}

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab ci list
    glab ci list --status=failed

SEE ALSO

glab-ci(1)